org.apache.xml.serializer

## Class OutputPropertyUtils

- java.lang.Object
- - org.apache.xml.serializer.OutputPropertyUtils

-     public final class OutputPropertyUtils
      extends java.lang.Object

  This class contains some static methods that act as helpers when parsing a Java Property object. This class is not a public API. It is only public because it is used outside of this package.
  See Also:
    `Properties`
  Usage:
    **For internal use only**

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputPropertyUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `getBooleanProperty(java.lang.String key, java.util.Properties props)` Searches for the boolean property with the specified key in the property list.
    `static int` | `getIntProperty(java.lang.String key, java.util.Properties props)` Searches for the int property with the specified key in the property list.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutputPropertyUtils

          public OutputPropertyUtils()

  - ### Method Detail

    - #### getBooleanProperty

          public static boolean getBooleanProperty(java.lang.String key,
                                                   java.util.Properties props)

      Searches for the boolean property with the specified key in the property list. If the key is not found in this property list, the default property list, and its defaults, recursively, are then checked. The method returns `false` if the property is not found, or if the value is other than "yes".
      Parameters:
        `key` - the property key.
        `props` - the list of properties that will be searched.
      Returns:
        the value in this property list as a boolean value, or false if null or not "yes".

    - #### getIntProperty

          public static int getIntProperty(java.lang.String key,
                                           java.util.Properties props)

      Searches for the int property with the specified key in the property list. If the key is not found in this property list, the default property list, and its defaults, recursively, are then checked. The method returns `false` if the property is not found, or if the value is other than "yes".
      Parameters:
        `key` - the property key.
        `props` - the list of properties that will be searched.
      Returns:
        the value in this property list as a int value, or 0 if null or not a number.

Copyright © 2023 Apache XML Project. All Rights Reserved.